mesos-reviews mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andrew Schwartzmeyer <and...@schwartzmeyer.com>
Subject Re: Review Request 67606: Allow for unbundled libevent cmake builds.
Date Fri, 15 Jun 2018 23:19:12 GMT

-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/67606/#review204885
-----------------------------------------------------------


Fix it, then Ship it!




Seems reasonable. Going forward, we should be consistent with this patch when adding options
to `UNBUNDLE` specific dependencies.


3rdparty/cmake/Findlibevent.cmake
Lines 36-45 (patched)
<https://reviews.apache.org/r/67606/#comment287681>

    Just a suggestion, but if you wanted this could be:
    
    ```
    set(LIBEVENT_LIBRARY_NAMES
      event
      event_pthreads)
      
    if (ENABLE_SSL)
      list(APPEND LIBEVENT_LIBRARY_NAMES event_openssl)
    endif()
    ```


- Andrew Schwartzmeyer


On June 14, 2018, 7:07 p.m., Till Toenshoff wrote:
> 
> -----------------------------------------------------------
> This is an automatically generated e-mail. To reply, visit:
> https://reviews.apache.org/r/67606/
> -----------------------------------------------------------
> 
> (Updated June 14, 2018, 7:07 p.m.)
> 
> 
> Review request for mesos, Andrew Schwartzmeyer, Benjamin Bannier, and Joseph Wu.
> 
> 
> Bugs: MESOS-8998
>     https://issues.apache.org/jira/browse/MESOS-8998
> 
> 
> Repository: mesos
> 
> 
> Description
> -------
> 
> Allow for unbundled libevent cmake builds.
> 
> 
> Diffs
> -----
> 
>   3rdparty/CMakeLists.txt 3c1dfcc7885693cd76331b515ca8e361bd1976d0 
>   3rdparty/cmake/Findlibevent.cmake PRE-CREATION 
>   cmake/CompilationConfigure.cmake 2f92acb3a140faa48e3639c7000be7f43020ad7d 
> 
> 
> Diff: https://reviews.apache.org/r/67606/diff/1/
> 
> 
> Testing
> -------
> 
> ```
> $ cmake .. -DENABLE_LIBEVENT=TRUE -DENABLE_SSL=TRUE -DOPENSSL_ROOT_DIR=/usr/local/opt/openssl
> $ cmake --build . --target tests -- -j6
> 
> $ otool -L 3rdparty/libprocess/src/libprocess.dylib
> libprocess.dylib:
> 	@rpath/libprocess.dylib (compatibility version 0.0.0, current version 0.0.0)
> 	/usr/local/opt/openssl/lib/libssl.1.0.0.dylib (compatibility version 1.0.0, current
version 1.0.0)
> 	/usr/local/opt/openssl/lib/libcrypto.1.0.0.dylib (compatibility version 1.0.0, current
version 1.0.0)
> 	/Users/till/Development/mesos/build/3rdparty/libevent-2.1.5-beta/src/libevent-2.1.5-beta-build/lib/libevent.2.1.5.dylib
(compatibility version 2.1.5, current version 0.0.0)
> 	/usr/local/opt/apr/libexec/lib/libapr-1.0.dylib (compatibility version 7.0.0, current
version 7.3.0)
> 	/usr/lib/libcurl.4.dylib (compatibility version 7.0.0, current version 9.0.0)
> 	/Users/till/Development/mesos/build/3rdparty/glog-0.3.3/src/glog-0.3.3-build/lib/libglog.0.dylib
(compatibility version 1.0.0, current version 1.0.0)
> 	/Users/till/Development/mesos/build/3rdparty/protobuf-3.5.0/src/protobuf-3.5.0-build/libprotobuf.dylib
(compatibility version 0.0.0, current version 0.0.0)
> 	/usr/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.11)
> 	/usr/local/opt/subversion/lib/libsvn_delta-1.0.dylib (compatibility version 1.0.0, current
version 1.0.0)
> 	/usr/local/opt/subversion/lib/libsvn_diff-1.0.dylib (compatibility version 1.0.0, current
version 1.0.0)
> 	/usr/local/opt/subversion/lib/libsvn_subr-1.0.dylib (compatibility version 1.0.0, current
version 1.0.0)
> 	/usr/lib/libc++.1.dylib (compatibility version 1.0.0, current version 400.9.3)
> 	/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 1252.200.5)
> ```
> 
> ```
> $ cmake .. -DENABLE_LIBEVENT=TRUE -DENABLE_SSL=TRUE -DOPENSSL_ROOT_DIR=/usr/local/opt/openssl
-DUNBUNDLED_LIBEVENT=TRUE
> $ cmake --build . --target tests -- -j6
> 
> $ otool -L 3rdparty/libprocess/src/libprocess.dylib
> libprocess.dylib:
> 	@rpath/libprocess.dylib (compatibility version 0.0.0, current version 0.0.0)
> 	/usr/local/opt/openssl/lib/libssl.1.0.0.dylib (compatibility version 1.0.0, current
version 1.0.0)
> 	/usr/local/opt/openssl/lib/libcrypto.1.0.0.dylib (compatibility version 1.0.0, current
version 1.0.0)
> 	/usr/local/opt/libevent/lib/libevent-2.0.5.dylib (compatibility version 7.0.0, current
version 7.9.0)
> 	/usr/local/opt/apr/libexec/lib/libapr-1.0.dylib (compatibility version 7.0.0, current
version 7.3.0)
> 	/usr/lib/libcurl.4.dylib (compatibility version 7.0.0, current version 9.0.0)
> 	/Users/till/Development/mesos/build/3rdparty/glog-0.3.3/src/glog-0.3.3-build/lib/libglog.0.dylib
(compatibility version 1.0.0, current version 1.0.0)
> 	/Users/till/Development/mesos/build/3rdparty/protobuf-3.5.0/src/protobuf-3.5.0-build/libprotobuf.dylib
(compatibility version 0.0.0, current version 0.0.0)
> 	/usr/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.11)
> 	/usr/local/opt/subversion/lib/libsvn_delta-1.0.dylib (compatibility version 1.0.0, current
version 1.0.0)
> 	/usr/local/opt/subversion/lib/libsvn_diff-1.0.dylib (compatibility version 1.0.0, current
version 1.0.0)
> 	/usr/local/opt/subversion/lib/libsvn_subr-1.0.dylib (compatibility version 1.0.0, current
version 1.0.0)
> 	/usr/local/opt/libevent/lib/libevent_openssl-2.0.5.dylib (compatibility version 7.0.0,
current version 7.9.0)
> 	/usr/local/opt/libevent/lib/libevent_pthreads-2.0.5.dylib (compatibility version 7.0.0,
current version 7.9.0)
> 	/usr/lib/libc++.1.dylib (compatibility version 1.0.0, current version 400.9.3)
> 	/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 1252.200.5)
> ```
> 
> 
> Thanks,
> 
> Till Toenshoff
> 
>


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message